Javascript.RU

Создать новую тему Ответ
 
Опции темы Искать в теме
  #1 (permalink)  
Старый 07.07.2019, 21:54
Новичок на форуме
Отправить личное сообщение для magnuz Посмотреть профиль Найти все сообщения от magnuz
 
Регистрация: 14.07.2014
Сообщений: 6

Не работает strings.includes и пр
Туториал https://www.youtube.com/watch?v=NQ2i...i8o-_c-9Vva_W0 где чувак црм делает на вуе и огнебазе. Прошел половину. Вроде все нормэ, но то и дело наталкиваюсь на непонятные ерроры при компиляции

Сроки кода типа
Код:
console.log("1234 5678".includes("1234"))
или
Код:
Object.keys(_r).length
выводит :

Код:
 WAIT  Compiling...                                                                                                                           21:36:20
 98% after emitting CopyPlugin

 ERROR  Failed to compile with 2 errors                                                                                                       21:36:22
These dependencies were not found:

* core-js/modules/es6.string.includes in ./src/main.js
* core-js/modules/es7.array.includes in ./src/main.js

To install them, you can run: npm install --save core-js/modules/es6.string.includes core-js/modules/es7.array.includes
Попытка последовать совету выдает :
Код:
npm install --save core-js/modules/es6.string.includes core-js/modules/es7.array.includes
npm ERR! code ENOLOCAL
npm ERR! Could not install from "core-js\modules\es6.string.includes" as it does not contain a package.json file.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\user\AppData\Roaming\npm-cache\_logs\2019-07-07T18_46_12_187Z-debug.log
что это? Бабизм бабеля? как с этим бороться?

package.json :
{
  "name": "vuecrm",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build"
  },
  "dependencies": {
    "core-js": "^3.1.4",
    "es6": "^0.0.7",
    "firebase": "^6.2.4",
    "materialize-css": "^1.0.0-rc.2",
    "register-service-worker": "^1.6.2",
    "vue": "^2.6.10",
    "vue-router": "^3.0.3",
    "vuex": "^3.0.1"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "^3.8.0",
    "@vue/cli-plugin-pwa": "^3.8.0",
    "@vue/cli-service": "^3.8.0",
    "node-sass": "^4.9.0",
    "sass-loader": "^7.1.0",
    "vue-template-compiler": "^2.6.10",
    "vuelidate": "^0.7.4"
  }
}
Ответить с цитированием
  #2 (permalink)  
Старый 08.07.2019, 01:24
Аватар для j0hnik
Профессор
Отправить личное сообщение для j0hnik Посмотреть профиль Найти все сообщения от j0hnik
 
Регистрация: 01.12.2016
Сообщений: 3,601

попробуйте добавить babel/polyfill
Ответить с цитированием
Ответ



Опции темы Искать в теме
Искать в теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
JS: работает на сервере, не работает из папки -majestic- Общие вопросы Javascript 2 02.08.2012 13:41
Не работает push! Динамическая вставка TSEH25 ExtJS 5 03.07.2012 12:00
jQyery функция странно работает! Midel Общие вопросы Javascript 4 08.04.2012 12:40
помогите найти ошибку (работает в IE но не работает в Firefox) Len4ik Javascript под браузер 2 11.05.2010 14:41
Safari + ajax некорректно работает, а в других работает demi AJAX и COMET 35 15.07.2009 13:11